# -*- rpm-spec -*-
# $Id: ruby-fltk,v 1.4 2003/08/06 13:45:02 ab Exp $


Name: ruby-fltk
Version: 0.9.0
Release: alt2

Summary: Ruby/FLTK is a Ruby binding for FLTK (Fast Light ToolKit)
License: GNU LGPL
Group: Development/Ruby
URL: http://ruby-fltk.sourceforge.net/
Requires: ruby-stdlibs >= 1.8-alt3

Source0: %name-%version.tar.gz
Patch0: %name-0.9.0-alt.patch.bz2

# Automatically added by buildreq on Wed Aug 07 2002
BuildRequires: XFree86-devel gcc-c++ libfltk-devel libstdc++-devel libruby-devel
BuildRequires: libpng-devel, zlib-devel, libjpeg-devel, libGLU-devel, ruby

%description
Ruby/FLTK is a Ruby binding for FLTK (Fast Light ToolKit).
It works fine with OpenGL on UNIX, Cygwin and MinGW environment.

%prep
%setup -q
%patch0 -p1 -b .original

%build 
%ruby_configure
%make_build

%install 
%makeinstall DESTDIR=%buildroot

%clean

%files
%doc Changes INSTALL README ToDo doc/* samples test LGPL
%ruby_sitelibdir/*
%ruby_sitearchdir/*

%changelog
* Wed Aug 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.0-alt2
- Fix bug in dependencies (we should require Ruby 1.8, not 1.8.0)

* Sun Jul 06 2003 Alexander Bokovoy <ab@altlinux.ru> 0.9.0-alt1
- 0.9.0
- Changed:
    + Patch to fix C++ deps and remove warnings

* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.8.2-alt2
- Rebuild with new FHS-compliant Ruby packages (1.7.3-alt7)
- Fixed extconf.rb script (C++ Ruby extension logic is a way different from C one)

* Wed Aug  7 2002  <week@altlinux.ru> 0.8.2-alt1
- Initial build for ALT Linux distribution.




